#include <bits/stdc++.h>
#pragma GCC push_options
#pragma GCC optimize ("O3")
using namespace std;
void printmatrix(const int n){
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if((i+j>=n)||(i==0)||(j==0))
                printf("1 ");
            else
                printf("0 ");
        }
        printf("\n");
    }
}

int main()
{
    int t,n[3]={-1,-1,-1},m[3]={-1,-1,-1};
    scanf("%d",&t);
    /*
    for(int i=0;i<3;i++){
        cout<<n[i]<<' '<<m[i];
    }*/

    for(int i=0;i<t;i++){
        scanf("%d",&n[i]);
        scanf("%d",&m[i]);
        }
    for(int i=0;i<t;i++){
        if(n[i]!=m[i]){
            printf("-1\n");
        }
        else{
            printmatrix(n[i]);
        }
    }
}